Subject: Re: Fw: [Bugme-new] [Bug 3746] New: Bridge causes machine lockups

From: Michał Margula <[email-masked]>
Date: Sun, 21 Nov 2004 23:21:23 +0100

Bart De Schuymer napisał(a):

># cd /usr/src/linux-2.6.9/
># patch -p1 < patch
>When your system hangs again, the message "EBTABLES: BEFORE WRITE LOCK"
>should be in your syslog, and check that it is not followed by "EBTABLES: 
>AFTER WRITE LOCK".
>
>  
>
I have just applied that patch. Tomorrow I will reboot a new kernel. So 
in about no more than two days, I should get some results.

>Is the bridge still forwarding packets while it hangs?
>
>  
>
No. Box is completly frozen.

>Perhaps try to link all network traffic to one cpu before doing your ebtables 
>updates...
>  
>
Could you give me more details about that? Should it be done before 
updating ebtables, and after that reverting? And most important - how? :).

-- 
Michał Margula, [email-masked], http://alchemyx.uznam.net.pl/
"W życiu piękne są tylko chwile" [Ryszard Riedel]